diff --git a/src/main/java/net/minecraft/client/render/model/SheepModel.java b/src/main/java/net/minecraft/client/render/model/ModelSheep.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/model/SheepModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSheep.java
index 3d8acb520..eaf5889b6 100644
--- a/src/main/java/net/minecraft/client/render/model/SheepModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSheep.java
@@ -2,16 +2,16 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            QuadrupedModel, ModelRenderer
+//            ModelQuadruped, ModelRenderer
 
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.MobSheep;
 import net.minecraft.core.util.helper.MathHelper;
 
-public class SheepModel extends QuadrupedModel
+public class ModelSheep extends ModelQuadruped
 {
 
-    public SheepModel()
+    public ModelSheep()
     {
         super(12, 0.0F);
         head = new Cube(0, 0);
@@ -63,7 +63,7 @@ public class SheepModel extends QuadrupedModel
     @Override
     public void setLivingAnimations(Mob mob, float limbSwing, float limbYaw, float partialTick)
     {
-        SheepMob entitySheep = (SheepMob) mob;
+        MobSheep entitySheep = (MobSheep) mob;
         head.y = 6F;
         isEatingAnimPlaying = false;
         if(entitySheep.getIsSheepEating())
diff --git a/src/main/java/net/minecraft/client/render/model/SheepOverlayModel.java b/src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java
similarity index 71%
rename from src/main/java/net/minecraft/client/render/model/SheepOverlayModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java
index 5c3034c99..a3b63114f 100644
--- a/src/main/java/net/minecraft/client/render/model/SheepOverlayModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSheepOverlay.java
@@ -2,19 +2,19 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            QuadrupedModel, ModelRenderer
+//            ModelQuadruped, ModelRenderer
 
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.MobSheep;
 import org.lwjgl.opengl.GL11;
 
-public class SheepOverlayModel extends SheepModel
+public class ModelSheepOverlay extends ModelSheep
 {
     Mob sheep;
 
-    public SheepOverlayModel()
+    public ModelSheepOverlay()
     {
         super();
     }
@@ -26,8 +26,8 @@ public class SheepOverlayModel extends SheepModel
         this.sheep = mob;
         float brightness = sheep.getBrightness(limbSwing);
         if (Global.accessor.isFullbrightEnabled() || LightmapHelper.isLightmapEnabled()) brightness = 1.0f;
-        int j = ((SheepMob)sheep).getFleeceColor().blockMeta;
-        GL11.glColor3f(brightness * SheepMob.FLEECE_COLOR_TABLE[j][0], brightness * SheepMob.FLEECE_COLOR_TABLE[j][1], brightness * SheepMob.FLEECE_COLOR_TABLE[j][2]);
+        int j = ((MobSheep)sheep).getFleeceColor().blockMeta;
+        GL11.glColor3f(brightness * MobSheep.FLEECE_COLOR_TABLE[j][0], brightness * MobSheep.FLEECE_COLOR_TABLE[j][1], brightness * MobSheep.FLEECE_COLOR_TABLE[j][2]);
 
     }
 
diff --git a/src/main/java/net/minecraft/client/render/model/SheepWoolModel.java b/src/main/java/net/minecraft/client/render/model/ModelSheepWool.java
similarity index 88%
rename from src/main/java/net/minecraft/client/render/model/SheepWoolModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSheepWool.java
index de73c81e2..f71921810 100644
--- a/src/main/java/net/minecraft/client/render/model/SheepWoolModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSheepWool.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            QuadrupedModel, ModelRenderer
+//            ModelQuadruped, ModelRenderer
 
-public class SheepWoolModel extends SheepModel
+public class ModelSheepWool extends ModelSheep
 {
 
-    public SheepWoolModel()
+    public ModelSheepWool()
     {
         head = new Cube(0, 0);
         head.addBox(-3F, -4F, -4F, 6, 6, 6, 0.6F);
diff --git a/src/main/java/net/minecraft/client/render/model/SignModel.java b/src/main/java/net/minecraft/client/render/model/ModelSign.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/model/SignModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSign.java
index 7d3dfddaf..d5bfce78f 100644
--- a/src/main/java/net/minecraft/client/render/model/SignModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSign.java
@@ -4,10 +4,10 @@ package net.minecraft.client.render.model;
 // Referenced classes of package net.minecraft.src:
 //            ModelRenderer
 
-public class SignModel
+public class ModelSign
 {
 
-    public SignModel()
+    public ModelSign()
     {
         signBoard = new Cube(0, 0);
         signBoard.addBox(-12F, -14F, -1F, 24, 12, 2, 0.0F);
diff --git a/src/main/java/net/minecraft/client/render/model/SkeletonModel.java b/src/main/java/net/minecraft/client/render/model/ModelSkeleton.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/model/SkeletonModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSkeleton.java
index 34f3d82fb..5f14c77f6 100644
--- a/src/main/java/net/minecraft/client/render/model/SkeletonModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSkeleton.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            ZombieModel, ModelRenderer
+//            ModelZombie, ModelRenderer
 
-public class SkeletonModel extends ZombieModel
+public class ModelSkeleton extends ModelZombie
 {
 
-    public SkeletonModel()
+    public ModelSkeleton()
     {
         float f = 0.0F;
         armRight = new Cube(40, 16);
diff --git a/src/main/java/net/minecraft/client/render/model/SlimeModel.java b/src/main/java/net/minecraft/client/render/model/ModelSlime.java
similarity index 92%
rename from src/main/java/net/minecraft/client/render/model/SlimeModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSlime.java
index f025a7e14..6f21a48e8 100644
--- a/src/main/java/net/minecraft/client/render/model/SlimeModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSlime.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer
+//            ModelBase, ModelRenderer
 
-public class SlimeModel extends BaseModel
+public class ModelSlime extends ModelBase
 {
 
-    public SlimeModel(int i)
+    public ModelSlime(int i)
     {
         slimeBodies = new Cube(0, i);
         slimeBodies.addBox(-4F, 16F, -4F, 8, 8, 8);
diff --git a/src/main/java/net/minecraft/client/render/model/SpiderModel.java b/src/main/java/net/minecraft/client/render/model/ModelSpider.java
similarity index 97%
rename from src/main/java/net/minecraft/client/render/model/SpiderModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSpider.java
index 833a973bc..90a48e53a 100644
--- a/src/main/java/net/minecraft/client/render/model/SpiderModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSpider.java
@@ -2,11 +2,11 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, MathHelper
+//            ModelBase, ModelRenderer, MathHelper
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class SpiderModel extends BaseModel
+public class ModelSpider extends ModelBase
 {
     public Cube spiderHead;
     public Cube spiderNeck;
@@ -21,7 +21,7 @@ public class SpiderModel extends BaseModel
     public Cube spiderLeg8;
 
 
-    public SpiderModel(float expandAmount)
+    public ModelSpider(float expandAmount)
     {
         int yOff = 15;
         spiderHead = new Cube(32, 4);
diff --git a/src/main/java/net/minecraft/client/render/model/SquidModel.java b/src/main/java/net/minecraft/client/render/model/ModelSquid.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/model/SquidModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelSquid.java
index 0e65edec1..f80a81968 100644
--- a/src/main/java/net/minecraft/client/render/model/SquidModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelSquid.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer
+//            ModelBase, ModelRenderer
 
-public class SquidModel extends BaseModel
+public class ModelSquid extends ModelBase
 {
 
-    public SquidModel()
+    public ModelSquid()
     {
         squidTentacles = new Cube[8];
         byte yOffs = -16;
diff --git a/src/main/java/net/minecraft/client/render/model/WolfModel.java b/src/main/java/net/minecraft/client/render/model/ModelWolf.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/model/WolfModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelWolf.java
index d2898284a..3dc9a884a 100644
--- a/src/main/java/net/minecraft/client/render/model/WolfModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelWolf.java
@@ -3,18 +3,18 @@ package net.minecraft.client.render.model;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.WolfMob;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            BaseModel, ModelRenderer, WolfMob, MathHelper,
+//            ModelBase, ModelRenderer, MobWolf, MathHelper,
 //            Mob
 
-public class WolfModel extends BaseModel
+public class ModelWolf extends ModelBase
 {
 
-    public WolfModel(float expandAmount)
+    public ModelWolf(float expandAmount)
     {
         float f1 = 13.5F;
         wolfHeadMain = new Cube(0, 0);
@@ -73,7 +73,7 @@ public class WolfModel extends BaseModel
     @Override
     public void setLivingAnimations(Mob mob, float limbSwing, float limbYaw, float partialTick)
     {
-        WolfMob entitywolf = (WolfMob) mob;
+        MobWolf entitywolf = (MobWolf) mob;
         if(entitywolf.isWolfAngry())
         {
             wolfTail.yRot = 0.0F;
diff --git a/src/main/java/net/minecraft/client/render/model/ZombieModel.java b/src/main/java/net/minecraft/client/render/model/ModelZombie.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/model/ZombieModel.java
rename to src/main/java/net/minecraft/client/render/model/ModelZombie.java
index 942e0cfa8..d46280adc 100644
--- a/src/main/java/net/minecraft/client/render/model/ZombieModel.java
+++ b/src/main/java/net/minecraft/client/render/model/ModelZombie.java
@@ -2,16 +2,16 @@ package net.minecraft.client.render.model;
 
 
 // Referenced classes of package net.minecraft.src:
-//            BipedModel, MathHelper, ModelRenderer
+//            ModelBiped, MathHelper, ModelRenderer
 
 import net.minecraft.core.util.helper.MathHelper;
 
-public class ZombieModel extends BipedModel {
-    public ZombieModel() {
+public class ModelZombie extends ModelBiped {
+    public ModelZombie() {
         this(0.0F);
     }
 
-    public ZombieModel(float var1) {
+    public ModelZombie(float var1) {
         this.parts(var1, 0.0F);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/shader/PhotoModeRenderer.java b/src/main/java/net/minecraft/client/render/shader/PhotoModeRenderer.java
index 0c5c34dde..1521e22b7 100644
--- a/src/main/java/net/minecraft/client/render/shader/PhotoModeRenderer.java
+++ b/src/main/java/net/minecraft/client/render/shader/PhotoModeRenderer.java
@@ -1,17 +1,17 @@
 package net.minecraft.client.render.shader;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.PhotoModeScreen;
+import net.minecraft.client.gui.ScreenPhotoMode;
 
 public class PhotoModeRenderer extends ShadersRenderer {
 
 	public static final String[] shaders = new String[] { null, "blur", "silhouette", "vignette", "tiltshift", "outline", "outline2", "eerie", "sepia", "inverted", "distantblur" };
 
-	public final PhotoModeScreen screen;
+	public final ScreenPhotoMode screen;
 
 	private int selectedShader = 0;
 
-	public PhotoModeRenderer(Minecraft minecraft, PhotoModeScreen screen) {
+	public PhotoModeRenderer(Minecraft minecraft, ScreenPhotoMode screen) {
 		super(minecraft);
 
 		this.screen = screen;
diff --git a/src/main/java/net/minecraft/client/render/shader/Shaders.java b/src/main/java/net/minecraft/client/render/shader/Shaders.java
index 9314f3eb7..0c0a42649 100644
--- a/src/main/java/net/minecraft/client/render/shader/Shaders.java
+++ b/src/main/java/net/minecraft/client/render/shader/Shaders.java
@@ -4,7 +4,7 @@ package net.minecraft.client.render.shader;
 import static org.lwjgl.opengl.GL11.*;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.PhotoModeScreen;
+import net.minecraft.client.gui.ScreenPhotoMode;
 import net.minecraft.client.render.camera.CameraUtil;
 import net.minecraft.core.block.material.Material;
 
@@ -103,12 +103,12 @@ public abstract class Shaders {
 			shader.uniformFloat("gMod", 1.0f);
 			shader.uniformFloat("bMod", 1.0f);
 		}
-		shader.uniformFloat("photoMode", minecraft.currentScreen instanceof PhotoModeScreen);
+		shader.uniformFloat("photoMode", minecraft.currentScreen instanceof ScreenPhotoMode);
 		shader.uniformFloat("guiOpened", minecraft.currentScreen != null);
 		
-		if(minecraft.currentScreen instanceof PhotoModeScreen) {
-			PhotoModeScreen photoModeScreen = (PhotoModeScreen) minecraft.currentScreen;
-			shader.uniformFloat("intensity", photoModeScreen.intensityValue);
+		if(minecraft.currentScreen instanceof ScreenPhotoMode) {
+			ScreenPhotoMode screenPhotoMode = (ScreenPhotoMode) minecraft.currentScreen;
+			shader.uniformFloat("intensity", screenPhotoMode.intensityValue);
 		}else {
 			shader.uniformFloat("intensity", 1.0f);
 		}
diff --git a/src/main/java/net/minecraft/client/render/terrain/ChunkRenderer.java b/src/main/java/net/minecraft/client/render/terrain/ChunkRenderer.java
index 2b2cfd8b1..a964f5ffb 100644
--- a/src/main/java/net/minecraft/client/render/terrain/ChunkRenderer.java
+++ b/src/main/java/net/minecraft/client/render/terrain/ChunkRenderer.java
@@ -3,6 +3,7 @@ package net.minecraft.client.render.terrain;
 import java.util.ArrayList;
 import java.util.List;
 
+import net.minecraft.core.block.entity.TileEntity;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.render.RenderBlocks;
@@ -10,10 +11,9 @@ import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.camera.ICamera;
 import net.minecraft.client.render.culling.CameraFrustum;
-import net.minecraft.client.render.entity.ItemEntityRenderer;
+import net.minecraft.client.render.entity.EntityRendererItem;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.AABB;
@@ -52,10 +52,10 @@ public abstract class ChunkRenderer
     public int occlusionId;
     public boolean skyLit;
     protected boolean compiled;
-    public List<BlockEntity> renderableBlockEntities;
-    protected final List<BlockEntity> globalRenderableBlockEntities;
+    public List<TileEntity> renderableBlockEntities;
+    protected final List<TileEntity> globalRenderableBlockEntities;
 
-    public ChunkRenderer(World world, List<BlockEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists)
+    public ChunkRenderer(World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists)
     {
         visible = false;
         empty = new boolean[MAX_RENDER_PASSES];
@@ -92,7 +92,7 @@ public abstract class ChunkRenderer
             float f = 6F;
             bb = AABB.getPermanentBB((float)x - f, (float)y - f, (float)z - f, (float)(x + sizeX) + f, (float)(y + sizeY) + f, (float)(z + sizeZ) + f);
             GL11.glNewList(lists + MAX_RENDER_PASSES, GL11.GL_COMPILE);
-            ItemEntityRenderer.renderFlatAABB(AABB.getTemporaryBB((float) xRenderOffs - f, (float) yRenderOffs - f, (float) zRenderOffs - f, (float)(xRenderOffs + sizeX) + f, (float)(yRenderOffs + sizeY) + f, (float)(zRenderOffs + sizeZ) + f));
+            EntityRendererItem.renderFlatAABB(AABB.getTemporaryBB((float) xRenderOffs - f, (float) yRenderOffs - f, (float) zRenderOffs - f, (float)(xRenderOffs + sizeX) + f, (float)(yRenderOffs + sizeY) + f, (float)(zRenderOffs + sizeZ) + f));
             GL11.glEndList();
             setDirty();
         }
diff --git a/src/main/java/net/minecraft/client/render/terrain/ChunkRendererLegacy.java b/src/main/java/net/minecraft/client/render/terrain/ChunkRendererLegacy.java
index f1f2fb8df..355de9d45 100644
--- a/src/main/java/net/minecraft/client/render/terrain/ChunkRendererLegacy.java
+++ b/src/main/java/net/minecraft/client/render/terrain/ChunkRendererLegacy.java
@@ -4,6 +4,7 @@ import java.util.HashSet;
 import java.util.List;
 import java.util.Set;
 
+import net.minecraft.core.block.entity.TileEntity;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.render.BlockEntityRenderDispatcher;
@@ -12,14 +13,13 @@ import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkCache;
 
 public class ChunkRendererLegacy extends ChunkRenderer {
 
-	public ChunkRendererLegacy(World world, List<BlockEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
+	public ChunkRendererLegacy(World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
 		super(world, globalRenderableTileEntities, x, y, z, size, lists);
 	}
 
@@ -37,7 +37,7 @@ public class ChunkRendererLegacy extends ChunkRenderer {
         for(int i = 0; i < MAX_RENDER_PASSES; i++) { empty[i] = true; }
 
         Chunk.isLit = false;
-        final Set<BlockEntity> lastSpecialTileEntities = new HashSet<>(renderableBlockEntities);
+        final Set<TileEntity> lastSpecialTileEntities = new HashSet<>(renderableBlockEntities);
         renderableBlockEntities.clear();
         final int cacheRadius = 1;
         final ChunkCache chunkcache = new ChunkCache(world, minX - cacheRadius, minY - cacheRadius, minZ - cacheRadius, maxX + cacheRadius, maxY + cacheRadius, maxZ + cacheRadius);
@@ -81,7 +81,7 @@ public class ChunkRendererLegacy extends ChunkRenderer {
                             }
                         }
                         if(renderPass == 0 && Block.isEntityTile[blockId]) {
-                            final BlockEntity tileentity = chunkcache.getBlockEntity(x, y, z);
+                            final TileEntity tileentity = chunkcache.getBlockEntity(x, y, z);
                             if(BlockEntityRenderDispatcher.instance.hasRenderer(tileentity)) {
                                 renderableBlockEntities.add(tileentity);
                             }
@@ -120,7 +120,7 @@ public class ChunkRendererLegacy extends ChunkRenderer {
             
             renderPass++;
         } while(true);
-        HashSet<BlockEntity> newSpecialTileEntities = new HashSet<>(renderableBlockEntities);
+        HashSet<TileEntity> newSpecialTileEntities = new HashSet<>(renderableBlockEntities);
         newSpecialTileEntities.removeAll(lastSpecialTileEntities);
         globalRenderableBlockEntities.addAll(newSpecialTileEntities);
         renderableBlockEntities.forEach(lastSpecialTileEntities::remove);
diff --git a/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java b/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java
index 6dad6b056..a096785f2 100644
--- a/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java
+++ b/src/main/java/net/minecraft/client/render/terrain/ChunkRendererMultiDraw.java
@@ -13,7 +13,7 @@ import net.minecraft.client.render.terrain.VertexBuffer.Entry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.tessellator.TessellatorStandard;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkCache;
@@ -23,7 +23,7 @@ public class ChunkRendererMultiDraw extends ChunkRenderer {
 	public final TerrainRendererMultiDraw terrainRenderer;
 	public final Entry[] renderListEntries;
 	
-	public ChunkRendererMultiDraw(TerrainRendererMultiDraw terrainRenderer, World world, List<BlockEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
+	public ChunkRendererMultiDraw(TerrainRendererMultiDraw terrainRenderer, World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
 		super(world, globalRenderableTileEntities, x, y, z, size, lists);
 		
 		if(terrainRenderer == null) {
@@ -55,7 +55,7 @@ public class ChunkRendererMultiDraw extends ChunkRenderer {
 		terrainRenderer.chunkDeleted(this);
 		
 		Chunk.isLit = false;
-		final Set<BlockEntity> lastSpecialTileEntities = new HashSet<>(renderableBlockEntities);
+		final Set<TileEntity> lastSpecialTileEntities = new HashSet<>(renderableBlockEntities);
 		renderableBlockEntities.clear();
 		
 		final int cacheRadius = 1;
@@ -92,7 +92,7 @@ public class ChunkRendererMultiDraw extends ChunkRenderer {
 							tessellator.setTextureUV(0.0, 0.0);
 						}
 						if(renderPass == 0 && Block.isEntityTile[blockId]) {
-							final BlockEntity tileentity = chunkCache.getBlockEntity(x, y, z);
+							final TileEntity tileentity = chunkCache.getBlockEntity(x, y, z);
 							if(BlockEntityRenderDispatcher.instance.hasRenderer(tileentity)) {
 								renderableBlockEntities.add(tileentity);
 							}
@@ -124,7 +124,7 @@ public class ChunkRendererMultiDraw extends ChunkRenderer {
 			}
 		}
 		
-		HashSet<BlockEntity> newSpecialTileEntities = new HashSet<>(renderableBlockEntities);
+		HashSet<TileEntity> newSpecialTileEntities = new HashSet<>(renderableBlockEntities);
 		newSpecialTileEntities.removeAll(lastSpecialTileEntities);
 		globalRenderableBlockEntities.addAll(newSpecialTileEntities);
 		renderableBlockEntities.forEach(lastSpecialTileEntities::remove);
diff --git a/src/main/java/net/minecraft/client/render/terrain/TerrainRenderer.java b/src/main/java/net/minecraft/client/render/terrain/TerrainRenderer.java
index 19ca2f610..78b6c85ee 100644
--- a/src/main/java/net/minecraft/client/render/terrain/TerrainRenderer.java
+++ b/src/main/java/net/minecraft/client/render/terrain/TerrainRenderer.java
@@ -3,7 +3,7 @@ package net.minecraft.client.render.terrain;
 import java.util.List;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.world.World;
 
 public abstract class TerrainRenderer {
@@ -18,6 +18,6 @@ public abstract class TerrainRenderer {
 	
 	public abstract void renderTranslucentTerrain(float partialTicks);
 	
-	public abstract ChunkRenderer createChunkRenderer(World world, List<BlockEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists);
+	public abstract ChunkRenderer createChunkRenderer(World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists);
 
 }
diff --git a/src/main/java/net/minecraft/client/render/terrain/TerrainRendererLegacy.java b/src/main/java/net/minecraft/client/render/terrain/TerrainRendererLegacy.java
index b1dd01cd8..b14ad2712 100644
--- a/src/main/java/net/minecraft/client/render/terrain/TerrainRendererLegacy.java
+++ b/src/main/java/net/minecraft/client/render/terrain/TerrainRendererLegacy.java
@@ -6,7 +6,7 @@ import java.util.List;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.RenderGlobal;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.world.World;
 
 public class TerrainRendererLegacy extends TerrainRenderer {
@@ -38,7 +38,7 @@ public class TerrainRendererLegacy extends TerrainRenderer {
 	}
 
 	@Override
-	public ChunkRenderer createChunkRenderer(World world, List<BlockEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
+	public ChunkRenderer createChunkRenderer(World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
 		return new ChunkRendererLegacy(world, globalRenderableTileEntities, x, y, z, size, lists);
 	}
 }
diff --git a/src/main/java/net/minecraft/client/render/terrain/TerrainRendererMultiDraw.java b/src/main/java/net/minecraft/client/render/terrain/TerrainRendererMultiDraw.java
index e7f0b6cfa..cfb6debe9 100644
--- a/src/main/java/net/minecraft/client/render/terrain/TerrainRendererMultiDraw.java
+++ b/src/main/java/net/minecraft/client/render/terrain/TerrainRendererMultiDraw.java
@@ -4,13 +4,13 @@ import static org.lwjgl.opengl.GL11.*;
 
 import java.util.List;
 
+import net.minecraft.core.block.entity.TileEntity;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.camera.ICamera;
 import net.minecraft.client.render.terrain.VertexBuffer.Entry;
 import net.minecraft.client.render.tessellator.TessellatorStandard;
-import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
@@ -250,7 +250,7 @@ public class TerrainRendererMultiDraw extends TerrainRenderer {
 	}
 
 	@Override
-	public ChunkRenderer createChunkRenderer(World world, List<BlockEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
+	public ChunkRenderer createChunkRenderer(World world, List<TileEntity> globalRenderableTileEntities, int x, int y, int z, int size, int lists) {
 		return new ChunkRendererMultiDraw(this, world, globalRenderableTileEntities, x, y, z, size, lists);
 	}
 	
diff --git a/src/main/java/net/minecraft/client/render/texture/BufferedTexture.java b/src/main/java/net/minecraft/client/render/texture/TextureBuffered.java
similarity index 83%
rename from src/main/java/net/minecraft/client/render/texture/BufferedTexture.java
rename to src/main/java/net/minecraft/client/render/texture/TextureBuffered.java
index 260a00a17..b805f9e3e 100644
--- a/src/main/java/net/minecraft/client/render/texture/BufferedTexture.java
+++ b/src/main/java/net/minecraft/client/render/texture/TextureBuffered.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.texture;
 
 import java.awt.image.BufferedImage;
 
-public class BufferedTexture extends FileTexture{
+public class TextureBuffered extends TextureFile {
     protected BufferedImage image;
 
     protected boolean blur;
     protected boolean clamp;
     protected boolean mipmap;
 
-    public BufferedTexture(BufferedImage image, boolean blur, boolean clamp, boolean mipmap) {
+    public TextureBuffered(BufferedImage image, boolean blur, boolean clamp, boolean mipmap) {
         generate();
         this.blur = blur;
         this.clamp = clamp;
diff --git a/src/main/java/net/minecraft/client/render/texture/DownloadedTexture.java b/src/main/java/net/minecraft/client/render/texture/TextureDownloaded.java
similarity index 74%
rename from src/main/java/net/minecraft/client/render/texture/DownloadedTexture.java
rename to src/main/java/net/minecraft/client/render/texture/TextureDownloaded.java
index 61895d88f..bd0399236 100644
--- a/src/main/java/net/minecraft/client/render/texture/DownloadedTexture.java
+++ b/src/main/java/net/minecraft/client/render/texture/TextureDownloaded.java
@@ -5,12 +5,12 @@ import net.minecraft.client.render.ImageParser;
 
 import java.awt.image.BufferedImage;
 
-public class DownloadedTexture extends FileTexture {
+public class TextureDownloaded extends TextureFile {
 
 	public BufferedImage image;
 	public int referenceCount;
 
-	public DownloadedTexture(String url, ImageParser imageParser) {
+	public TextureDownloaded(String url, ImageParser imageParser) {
 		referenceCount = 1;
 		
 		new ThreadDownloadImage(this, url, imageParser).start();
diff --git a/src/main/java/net/minecraft/client/render/texture/FileTexture.java b/src/main/java/net/minecraft/client/render/texture/TextureFile.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/texture/FileTexture.java
rename to src/main/java/net/minecraft/client/render/texture/TextureFile.java
index 1557368bf..2a0fbc945 100644
--- a/src/main/java/net/minecraft/client/render/texture/FileTexture.java
+++ b/src/main/java/net/minecraft/client/render/texture/TextureFile.java
@@ -13,17 +13,17 @@ import java.io.InputStream;
 import static net.minecraft.client.util.helper.Textures.missingTexture;
 import static net.minecraft.client.util.helper.Textures.readImage;
 
-public class FileTexture extends Texture{
+public class TextureFile extends Texture{
     private static final Logger LOGGER = LogUtils.getLogger();
     protected final String sourcePath;
 
     protected TextureMetaHandler metaHandler = new TextureMetaHandler();
 
-    public FileTexture() {
+    public TextureFile() {
         this.sourcePath = null;
     }
 
-    public FileTexture(String path) {
+    public TextureFile(String path) {
         generate();
         this.sourcePath = path;
         init();
diff --git a/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java b/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java
index 29b80487c..f66503639 100644
--- a/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java
+++ b/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java
@@ -16,7 +16,7 @@ import java.util.zip.ZipFile;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.holiday.Holidays;
-import net.minecraft.client.render.texture.BufferedTexture;
+import net.minecraft.client.render.texture.TextureBuffered;
 import net.minecraft.client.render.texturepack.Manifest.ManifestException;
 import org.slf4j.Logger;
 
@@ -25,7 +25,7 @@ import javax.imageio.ImageIO;
 public class TexturePackCustom extends TexturePack
 {
 	private static final Logger LOGGER = LogUtils.getLogger();
-	private BufferedTexture thumbnailImage;
+	private TextureBuffered thumbnailImage;
 	private BufferedImage thumbnailBuffer;
 	public final File file;
 	private ZipFile zipFile;
